0

I am trying to install llvmlite on my ssystem in order to install numba. I have got an error when I did python setup.py build, the first error that appear is assembly.cpp:3:35: fatal error: llvm/AsmParser/Parser.h: No such file or directory #include "llvm/AsmParser/Parser.h"

Could someone give me a hint what went wrong?

The full error message is here - http://dpaste.com/2G7BVNY

And dpkg --get-selections|grep llvm results in

libllvm3.3:amd64                install
libllvm3.4:amd64                install
libllvm3.4:i386                 install
libllvm3.5:amd64                install
llvm                        install
llvm-3.3                    install
llvm-3.3-dev                    install
llvm-3.3-runtime                install
llvm-3.4                    install
llvm-3.4-dev                    install
llvm-3.4-runtime                install
llvm-3.5                    install
llvm-3.5-dev                    install
llvm-3.5-runtime                install
llvm-runtime                    install
1

I managed to install it in Python 3.4 using llvm-3.5 (as required in the README.py) in Ubuntu 14.04.2 LTS. I had to make a symbolic link in /usr/bin to llvm-config.

sudo ln -s llvm-config-3.5 llvm-config

I couldn't make it work with LLVM_CONFIG enviroment variable.

I also had to install libedit-dev as the README.md suggests.

Then python3 setup.py install worked flawlessly.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.